Bug 27625 - airo.o and airo_cs.o missing
airo.o and airo_cs.o missing
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-02-14 10:26 EST by Matthew Miller
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-21 10:27:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Updated /etc/pcmcia/config file for airo cards (41.76 KB, text/plain)
2001-02-21 10:27 EST, Erik Troan
no flags Details

  None (edit)
Description Matthew Miller 2001-02-14 10:26:27 EST
Not sure if this should go against kernel or kernel-pcmcia-cs. When I
insert my new Cisco 340 wireless network card, the pcmcia config tells it
to look for airo.o and airo_cs.o, which are missing. I did a locate, and
found that the man pages for these modules *are* being installed. There's
also a aironet4500 (several modules -- _card, _core, _proc, _cs) which
belongs to the kernel, and which *may* work with this card, but seems
completely undocumented. Either pcmcia needs to be configured to look for
this driver (if it is the replacement to airo), or else the airo.o and
airo_cs.o need to come from somewhere.
Comment 1 Arjan van de Ven 2001-02-14 13:29:09 EST
"airo" is the old name for the aironet4500 driver. 
We need to change this in the kernel-pcmcia-cs scripts.
Comment 2 Glen Foster 2001-02-15 20:06:46 EST
This defect is considered MUST-FIX for Florence Release-Candidate #2
Comment 3 Erik Troan 2001-02-21 10:27:44 EST
Created attachment 10621 [details]
Updated /etc/pcmcia/config file for airo cards
Comment 4 Erik Troan 2001-02-21 11:53:33 EST
Please test the attached config file to see if it fixes your problem
Comment 5 Matthew Miller 2001-02-21 12:01:23 EST
I will this afternoon/evening.Thanks!
Comment 6 Matthew Miller 2001-02-22 11:14:05 EST
Works. However, ejecting card without stopping it causes a hang (in one case, a
kernel panic, in another, it just sat there). Is this a known thing with this
card? I can live with stopping it manually if I have to.
Comment 7 Matthew Miller 2001-02-22 11:28:58 EST
Further issues:

1) it keeps dumping register dumps to the console and logs (once every 10
seconds or so), making both the console and the logs pretty much unusable:

b<3>bap entered with err or busy bit set 6000
Command awc_command_TX , result: Success, at memblk 1f7(RID UNKNOWN) , offset 0
eth0 aironet register dump  (bunch of numbers follow)

2) it doesn't seem to actually bring up the network automatically, even though
I've uncommented and set the appropriate things in wireless.opts. If I do "ifup
eth0" myself, it comes up fine.

Note You need to log in before you can comment on or make changes to this bug.